Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
translationResources
Get translation resources
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/translationResources \
  --header 'Authorization: <api-key>'
{
  "machineTranslateSettings": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>",
    "type": "<string>"
  },
  "translationMemories": [
    {
      "id": "<string>",
      "transMem": {
        "id": "<string>",
        "uid": "<string>",
        "readable": true
      },
      "name": "<string>",
      "workflowStep": {},
      "targetLang": "<string>",
      "penalty": 123,
      "readMode": true
    }
  ],
  "termBases": [
    {
      "id": "<string>",
      "termBase": {
        "id": "<string>",
        "uid": "<string>",
        "readable": true
      },
      "name": "<string>",
      "writeMode": true,
      "targetLang": "<string>",
      "readMode": true,
      "workflowStep": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Response

successful operation

machineTranslateSettings
object
translationMemories
object[]
termBases
object[]